/*
 * debug.h
 *
 *  Created on: Apr 16, 2024
 *      Author: colorbass
 */

#ifndef SRC_DEBUG_H_
#define SRC_DEBUG_H_

#include <stdint.h>
#include "edcan.h"

void debug_buffer_add(const uint8_t* data, uint16_t len);
uint16_t debug_buffer_available(void);
void debug_buffer_send(void);
int log_printf(int level, const char *format, ...);


#endif /* SRC_DEBUG_H_ */
